
#ifndef _USART_H
#define _USART_H

#define USART          (6)
#define USART_BAUD     (115200)
#define USART_ECHO     (ON)
#define USART_DATA     (USART_WordLength_8b)
#define USART_PARITY   (USART_Parity_No)
#define USART_STOP     (USART_StopBits_1)
#define USART_FLOWCTRL (USART_HardwareFlowControl_None)


void UART_Init(void);
int  UART_PutChar(char ch);
int  UART_GetLine(char *str);

void UART_Flush(void);
void UART_GoToNewLine(void);

#endif /*_USART_H*/
